Debian Bug report logs - #673681
eegdev; FTBFS[kfreebsd]: testsuite failure

version graph

Package: src:eegdev; Maintainer for src:eegdev is Nicolas Bourdaud <nicolas.bourdaud@gmail.com>;

Reported by: debian-bsd@lists.debian.org

Date: Sun, 20 May 2012 17:24:05 UTC

Severity: serious

Tags: sid, wheezy

Found in version eegdev/0.2-1

Fixed in version eegdev/0.2-3

Done: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Nicolas Bourdaud <nicolas.bourdaud@gmail.com>:
Bug#673681; Package src:eegdev. (Sun, 20 May 2012 17:24:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Nicolas Bourdaud <nicolas.bourdaud@gmail.com>. (Sun, 20 May 2012 17:24:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: eegdev; FTBFS[kfreebsd]: testsuite failure
Date: Sun, 20 May 2012 19:21:53 +0200
Package: src:eegdev
Version: 0.2-1
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

make  check-TESTS
make[4]: Entering directory `/build/buildd-eegdev_0.2-1-kfreebsd-i386-LGFJWW/eegdev-0.2/tests'
PASS: verify-cast.sh
PASS: verifysplit
PASS: syseegfile
*** glibc detected *** /build/buildd-eegdev_0.2-1-kfreebsd-i386-LGFJWW/eegdev-0.2/tests/.libs/lt-sysbiosemi: double free or corruption (out): 0xbfbfdf98 ***
	Testing biosemi with float data type
Aborted (core dumped)
*** glibc detected *** /build/buildd-eegdev_0.2-1-kfreebsd-i386-LGFJWW/eegdev-0.2/tests/.libs/lt-sysbiosemi: double free or corruption (out): 0xbfbfdf98 ***
	Testing biosemi with double data type
Aborted (core dumped)
FAIL: testfakeact2.sh
	Testing tobiia
PASS: testfaketobiia.sh
=========================================
1 of 5 tests failed
Please report to nicolas.bourdaud@epfl.ch
=========================================

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=eegdev&arch=kfreebsd-i386&ver=0.2-1&stamp=1337329119

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Reply sent to Nicolas Bourdaud <nicolas.bourdaud@gmail.com>:
You have taken responsibility. (Tue, 22 May 2012 23:03:06 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Tue, 22 May 2012 23:03:06 GMT) Full text and rfc822 format available.

Message #10 received at 673681-close@bugs.debian.org (full text, mbox):

From: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
To: 673681-close@bugs.debian.org
Subject: Bug#673681: fixed in eegdev 0.2-2
Date: Tue, 22 May 2012 23:02:29 +0000
Source: eegdev
Source-Version: 0.2-2

We believe that the bug you reported is fixed in the latest version of
eegdev, which is due to be installed in the Debian FTP archive:

eegdev-plugins-free_0.2-2_amd64.deb
  to main/e/eegdev/eegdev-plugins-free_0.2-2_amd64.deb
eegdev_0.2-2.debian.tar.gz
  to main/e/eegdev/eegdev_0.2-2.debian.tar.gz
eegdev_0.2-2.dsc
  to main/e/eegdev/eegdev_0.2-2.dsc
libeegdev-dev_0.2-2_amd64.deb
  to main/e/eegdev/libeegdev-dev_0.2-2_amd64.deb
libeegdev0-dbg_0.2-2_amd64.deb
  to main/e/eegdev/libeegdev0-dbg_0.2-2_amd64.deb
libeegdev0_0.2-2_amd64.deb
  to main/e/eegdev/libeegdev0_0.2-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 673681@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nicolas Bourdaud <nicolas.bourdaud@gmail.com> (supplier of updated eegdev package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 21 May 2012 22:37:16 +0200
Source: eegdev
Binary: libeegdev0 eegdev-plugins-free libeegdev-dev libeegdev0-dbg
Architecture: source amd64
Version: 0.2-2
Distribution: unstable
Urgency: low
Maintainer: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Changed-By: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Description: 
 eegdev-plugins-free - Biosignal acquisition device library (free plugins)
 libeegdev-dev - Biosignal acquisition device library (Developement files)
 libeegdev0 - Biosignal acquisition device library
 libeegdev0-dbg - Biosignal acquisition device library (Debugging symbols)
Closes: 673681
Changes: 
 eegdev (0.2-2) unstable; urgency=low
 .
   * Fix biosemi plugin on big endian architecture:
     - new patch fix-biosemi-on-bigendian.patch
   * Fix tests on kfreebsd (Closes: #673681):
     - new patch fix-racecond-in-biosemi-tests.patch
     - new patch condtimedwait-kfreebsd-bug-workaround.patch
Checksums-Sha1: 
 6360fa05cd0b27544c59d44cca0d66c046f98ac8 1451 eegdev_0.2-2.dsc
 5479e083f09be4174bd5e3e8976a7e95fa3ef53d 7556 eegdev_0.2-2.debian.tar.gz
 ebceb902bcca5a105d7a89e38af4e6c9607ad2b9 46014 libeegdev0_0.2-2_amd64.deb
 75ce378508d85de7d9949ffdc8c930db357e4b63 29148 eegdev-plugins-free_0.2-2_amd64.deb
 632ee666239c5ee188a4d7254b9ffa327e6f14af 22408 libeegdev-dev_0.2-2_amd64.deb
 19a282db3767b298c4bf3924068a5c147da817f4 166258 libeegdev0-dbg_0.2-2_amd64.deb
Checksums-Sha256: 
 7ff783142ef1884fba380c50573e094d2d880d8910e2ec2da0760a5191358940 1451 eegdev_0.2-2.dsc
 327480e00782a411902fafb5ed7a88ff881b78d1076177ef3dc15fb57ffecd97 7556 eegdev_0.2-2.debian.tar.gz
 b55f54a52ab5b5fdf62c1f9764d34b990bc1b51ce90f3626e52a4ef5b63c6dd8 46014 libeegdev0_0.2-2_amd64.deb
 8a34277ac89b9d27605b3c79aa66afee171d85b3875bbe29dc0a94244b602600 29148 eegdev-plugins-free_0.2-2_amd64.deb
 9fa19038fe22c7c3163a5b76b139f87d5de19887c30b71cd9a2404a170f60d34 22408 libeegdev-dev_0.2-2_amd64.deb
 4882705393e28d7471774cdd2e86999bb7517fb07d382d82ab08cde2a457d4f5 166258 libeegdev0-dbg_0.2-2_amd64.deb
Files: 
 accbdf560ffefa8746379208e5bd6275 1451 libs extra eegdev_0.2-2.dsc
 70a5abbfffe7891f56d6c8d5e363440d 7556 libs extra eegdev_0.2-2.debian.tar.gz
 cf1ce93743e4f7bf4011663d66127d3e 46014 libs extra libeegdev0_0.2-2_amd64.deb
 e909f487eea8e65261defeb34e77571a 29148 libs extra eegdev-plugins-free_0.2-2_amd64.deb
 1d5f43476440db65e51855b51519b534 22408 libdevel extra libeegdev-dev_0.2-2_amd64.deb
 4ae1099571a44c771656cf76011058f0 166258 debug extra libeegdev0-dbg_0.2-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk+8GPsACgkQjRFFY3XAJMi8bQCfV8oSzAx7cjxMhUUoPLjkT4eH
4lUAn1ZLC8gIF5/e/IFPp8Peh8SoXaxI
=WL4D
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#673681; Package src:eegdev. (Wed, 23 May 2012 07:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Bourdaud <nicolas.bourdaud@gmail.com>:
Extra info received and forwarded to list. (Wed, 23 May 2012 07:03:03 GMT) Full text and rfc822 format available.

Message #15 received at 673681@bugs.debian.org (full text, mbox):

From: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
To: 673681@bugs.debian.org
Cc: debian-bsd@lists.debian.org, control@bugs.debian.org
Subject: Bug#673681: eegdev; FTBFS[kfreebsd]: testsuite stuck
Date: Wed, 23 May 2012 09:00:24 +0200
[Message part 1 (text/plain, inline)]
reopen 673681
thanks

The fix + the workaround (of bug #673711) introduced in the eegdev_0.2-2
seems to fix only part of the problem, or the workaround was not enough.
The test suite on kfreebsd is now stuck. buildd's log:

> make[4]: Leaving directory `/build/buildd-eegdev_0.2-2-kfreebsd-i386-_xMbSr/eegdev-0.2/tests'
> make  check-TESTS
> make[4]: Entering directory `/build/buildd-eegdev_0.2-2-kfreebsd-i386-_xMbSr/eegdev-0.2/tests'
> PASS: verify-cast.sh
> PASS: verifysplit
> PASS: syseegfile
> E: Caught signal 'Terminated': terminating immediately
> make[1]: *** [check-recursive] Terminated
> make[2]: *** [check-recursive] Terminated
> make[4]: *** [check-TESTS] Terminated
> make[3]: *** [check-am] Terminated
> make: *** [build-arch] Terminated
> Build killed with signal TERM after 150 minutes of inactivity




[signature.asc (application/pgp-signature, attachment)]

Bug reopened Request was from Nicolas Bourdaud <nicolas.bourdaud@gmail.com> to control@bugs.debian.org. (Wed, 23 May 2012 07:03:07 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions eegdev/0.2-2. Request was from Nicolas Bourdaud <nicolas.bourdaud@gmail.com> to control@bugs.debian.org. (Wed, 23 May 2012 07:03:08 GMT) Full text and rfc822 format available.

Reply sent to Nicolas Bourdaud <nicolas.bourdaud@gmail.com>:
You have taken responsibility. (Thu, 24 May 2012 22:36:06 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Thu, 24 May 2012 22:36:07 GMT) Full text and rfc822 format available.

Message #24 received at 673681-close@bugs.debian.org (full text, mbox):

From: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
To: 673681-close@bugs.debian.org
Subject: Bug#673681: fixed in eegdev 0.2-3
Date: Thu, 24 May 2012 22:33:12 +0000
Source: eegdev
Source-Version: 0.2-3

We believe that the bug you reported is fixed in the latest version of
eegdev, which is due to be installed in the Debian FTP archive:

eegdev-plugins-free_0.2-3_amd64.deb
  to main/e/eegdev/eegdev-plugins-free_0.2-3_amd64.deb
eegdev_0.2-3.debian.tar.gz
  to main/e/eegdev/eegdev_0.2-3.debian.tar.gz
eegdev_0.2-3.dsc
  to main/e/eegdev/eegdev_0.2-3.dsc
libeegdev-dev_0.2-3_amd64.deb
  to main/e/eegdev/libeegdev-dev_0.2-3_amd64.deb
libeegdev0-dbg_0.2-3_amd64.deb
  to main/e/eegdev/libeegdev0-dbg_0.2-3_amd64.deb
libeegdev0_0.2-3_amd64.deb
  to main/e/eegdev/libeegdev0_0.2-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 673681@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nicolas Bourdaud <nicolas.bourdaud@gmail.com> (supplier of updated eegdev package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 23 May 2012 16:04:42 +0200
Source: eegdev
Binary: libeegdev0 eegdev-plugins-free libeegdev-dev libeegdev0-dbg
Architecture: source amd64
Version: 0.2-3
Distribution: unstable
Urgency: low
Maintainer: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Changed-By: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Description: 
 eegdev-plugins-free - Biosignal acquisition device library (free plugins)
 libeegdev-dev - Biosignal acquisition device library (Developement files)
 libeegdev0 - Biosignal acquisition device library
 libeegdev0-dbg - Biosignal acquisition device library (Debugging symbols)
Closes: 673681
Changes: 
 eegdev (0.2-3) unstable; urgency=low
 .
   * Fix hangups when closing biosemi. (Closes: #673681)
     - new patch fix-biosemi-close-hangups.patch
Checksums-Sha1: 
 b550f31c00606fb9e69577dfba6e30e9258743d4 1451 eegdev_0.2-3.dsc
 68cd1a8683db623c7d76bdc1f2aece8693091f2d 8465 eegdev_0.2-3.debian.tar.gz
 62f465f7e305e3634baafd8b16a0361ac034ca7f 46080 libeegdev0_0.2-3_amd64.deb
 734fb00adcd97fa0f3a4bf3c91421922de563671 29082 eegdev-plugins-free_0.2-3_amd64.deb
 4a958927d60fa16a8c72830312f33a6765c67856 22410 libeegdev-dev_0.2-3_amd64.deb
 4a3719f86de077dbaaff2b33b3a5868ac61b9692 166244 libeegdev0-dbg_0.2-3_amd64.deb
Checksums-Sha256: 
 6a92839261a39e2ee39b64c4c8362be5f20341630de938552184b2591ff9c3d4 1451 eegdev_0.2-3.dsc
 06897f2f075a28efa7cab7cd5d674500ad8f307d9985e0921939c4c756af1dcf 8465 eegdev_0.2-3.debian.tar.gz
 100b78b8c76812a073f9b1efb878c97ab59b78f17c539641c4896d7d8917a4df 46080 libeegdev0_0.2-3_amd64.deb
 ca1652092a1aa33452da2cc0b626f36542064371e9c0c6d1c3ea0af80825cc06 29082 eegdev-plugins-free_0.2-3_amd64.deb
 6fc6126f1f1de86d0a320a67e155891e6878ded3928a087a33e1fe095820dc40 22410 libeegdev-dev_0.2-3_amd64.deb
 7a8e738458a5b2508cb0f6717ac11ea1118ae4a61b54778353d5a5629f445344 166244 libeegdev0-dbg_0.2-3_amd64.deb
Files: 
 c0831e24c38c0b2ee149d5118eea9168 1451 libs extra eegdev_0.2-3.dsc
 1fad74e48b6a5d89a6a4e8205cba0ec4 8465 libs extra eegdev_0.2-3.debian.tar.gz
 50f2d4ee112fa8919d24514f9ad9778c 46080 libs extra libeegdev0_0.2-3_amd64.deb
 7cf67ab6f6128f7c04d132dcabc9926b 29082 libs extra eegdev-plugins-free_0.2-3_amd64.deb
 87026a3e23acf58345a40f1a1da69c5b 22410 libdevel extra libeegdev-dev_0.2-3_amd64.deb
 7751c69525af17f259c44a9634331182 166244 debug extra libeegdev0-dbg_0.2-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk++sHwACgkQjRFFY3XAJMhJRwCgud6VTKFqyCTy+cGmp+Y03c+u
meMAnRQgal8SoXBj9mIAjcA7my0yPfWd
=1OYa
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 02 Jul 2012 07:41:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:07:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.